// link styles

.btn {
    border: 0;
    border-radius: 50px;
    display: inline-block;
    outline: 0;
    position: relative;
    text-decoration: none;
    text-transform: uppercase;
    cursor: pointer;
    font-weight: $medium;

    &-primary {
        color: $green;
        display: inline-flex;
        align-items: center;
        position: relative;
        padding: 12px 10px 12px 14px;
        
        span {
            font-weight: $bold;
            letter-spacing: 1px;
            font-size: calc-em(16px);
            position: relative;
            z-index: 1;
        }

        .icon {
            // font-size: calc-em(30px);
            margin-left: 30px;
        }

        &:before {
            content: "";
            width: 100%;
            height: 3px;
            right: 0;
            left: 0;
            position: absolute;
            display: block;
            bottom:0;
            background: $green;
            transition: height 500ms ease;
        }

        &:hover {
            &:before {
                height: 100%;
            }

            span {
                color: $white;
            }
        }
    }

    &--white {
        color: $white;

        &:before {
            background: $white;
        }

        &:hover {
            span {
                color: $green;
            }
        }
    }
}

@media only screen and (max-width: $bpTablet - 1) {
    .btn {
        &-primary {
            padding: 12px 8px;
            &:before {
                height: 2px;
            }
            span {
                font-size: calc-em(14px);
            }

            .icon {
                margin-left: 20px;
            }
        }
    }
}

// // unvisited link
// a:link {
//     color: #ff0000;
// }

// // visited link
// a:visited {
//     color: #00ff00;
// }

// // mouse over link
// a:hover {
//     color: #ff00ff;
// }

// // selected link
// a:active {
//     color: #0000ff;
// }
